span.woocommerce-Price-unit.unit {
    font-size: 16px;
    font-weight: 400;
    font-variant-caps: all-small-caps;
    display: block;
}

:root :where(.wp-block-woocommerce-product-price .wc-block-components-product-price) {
    line-height: 1.30;
}

.wc-block-components-product-price .woocommerce-Price-unit.unit {
    margin-bottom: 6px;
    font-weight: 400;
}

li.wc-block-product .wc-block-components-product-price .woocommerce-Price-amount.amount {
    font-size: 20px;
}